summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlan Coopersmith <alan.coopersmith@oracle.com>2022-10-18 10:14:49 -0700
committerAlan Coopersmith <alan.coopersmith@oracle.com>2022-10-18 13:20:28 -0700
commit26abb4a0e9c3ed7c523d82b028a2270da1dc64dd (patch)
tree8841b5876f80cf95d43717a2f2c130da2034ae39
parent64e2126a3b7259b6634b4511c62a499579be1cd6 (diff)
release.sh: Handle git submodules when setting up git worktree
Needed for xcb-util-* libraries Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
-rwxr-xr-xrelease.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/release.sh b/release.sh
index 0309bca..20fcdc2 100755
--- a/release.sh
+++ b/release.sh
@@ -418,6 +418,15 @@ process_module() {
return 1
fi
+ if [ -r ".gitmodules" ] ; then
+ git submodule update --init
+ if [ $? -ne 0 ]; then
+ echo "Error: failed to update git submodule"
+ cd $top_src
+ return 1
+ fi
+ fi
+
echo "Info: running autogen.sh"
./autogen.sh >/dev/null